---
updatedAt: 2025-09-09T21:11:23.000Z
agentTools:
  projectIndex: https://docs.ciiruspartners.com/v2023.07.31/llms.txt
---

# Update units

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "security": [
    {
      "basicAuth": []
    }
  ],
  "info": {
    "title": "CiiRUS Partner API",
    "version": "2023.07.31"
  },
  "paths": {
    "/inventory": {
      "put": {
        "summary": "Update units",
        "description": "",
        "responses": {
          "200": {
            "description": "Inventory response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RetrieveInventoryResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          }
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/enabledOptional"
          },
          {
            "$ref": "#/components/parameters/permissionsOptional"
          },
          {
            "$ref": "#/components/parameters/airbnb"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/ModifyUnitsRequest"
                }
              }
            }
          },
          "required": true
        },
        "tags": [
          "Inventory"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://api.ciiruspartners.com/v2023.07.31"
    }
  ],
  "components": {
    "parameters": {
      "airbnb": {
        "name": "airbnb",
        "in": "query",
        "description": "Return additional context information relating to airbnb.",
        "required": false,
        "schema": {
          "type": "boolean"
        }
      },
      "enabledOptional": {
        "name": "enabled",
        "in": "query",
        "description": "Sets the 'enabled' status of units. Overriden by body on multi-endpoint.",
        "required": false,
        "schema": {
          "type": "boolean"
        }
      },
      "permissionsOptional": {
        "name": "permissions",
        "in": "query",
        "description": "Return additional context information.",
        "required": false,
        "schema": {
          "type": "boolean"
        }
      }
    },
    "responses": {
      "BadRequest": {
        "description": "Bad Request response",
        "content": {
          "*/*": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized response",
        "content": {
          "*/*": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden response",
        "content": {
          "*/*": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found response",
        "content": {
          "*/*": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        },
        "required": [
          "code",
          "message"
        ]
      },
      "PagedLambdaResponseObject": {
        "properties": {
          "next_page_url": {
            "type": "string",
            "format": "uri",
            "description": "URL to the next page (not present on last page)"
          },
          "previous_page_url": {
            "type": "string",
            "format": "uri",
            "description": "URL to the previous page (not present on first page)"
          },
          "total_page_count": {
            "type": "integer",
            "format": "int32",
            "minimum": 0,
            "description": "Total number of pages available"
          }
        },
        "required": [
          "total_page_count"
        ]
      },
      "RetrieveInventoryResponse": {
        "properties": {
          "units": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/RetrieveUnitResponseObject"
            }
          }
        },
        "required": [
          "units"
        ],
        "allOf": [
          {
            "$ref": "#/components/schemas/PagedLambdaResponseObject"
          },
          {
            "type": "object"
          }
        ]
      },
      "RetrieveUnitResponseObject": {
        "required": [
          "unit_id",
          "mc_user_id"
        ],
        "allOf": [
          {
            "$ref": "#/components/schemas/unit_id"
          },
          {
            "$ref": "#/components/schemas/master_property_id"
          },
          {
            "$ref": "#/components/schemas/enabled"
          },
          {
            "$ref": "#/components/schemas/native"
          },
          {
            "$ref": "#/components/schemas/allocation_on_arrival"
          },
          {
            "$ref": "#/components/schemas/online_booking_enabled"
          },
          {
            "$ref": "#/components/schemas/merchant_of_record"
          },
          {
            "$ref": "#/components/schemas/include_mandatory_extras"
          },
          {
            "$ref": "#/components/schemas/management_company_rate_set_id"
          },
          {
            "$ref": "#/components/schemas/airbnb_host_id"
          },
          {
            "$ref": "#/components/schemas/airbnb_listing_id"
          },
          {
            "$ref": "#/components/schemas/airbnb_request_to_book_on_short_notice"
          },
          {
            "$ref": "#/components/schemas/airbnb_cancelation_policy"
          },
          {
            "$ref": "#/components/schemas/airbnb_long_term_cancelation_policy"
          },
          {
            "$ref": "#/components/schemas/airbnb_sync_enabled"
          },
          {
            "$ref": "#/components/schemas/airbnb_sync_category"
          },
          {
            "$ref": "#/components/schemas/airbnb_publish_listing"
          },
          {
            "$ref": "#/components/schemas/error"
          },
          {
            "$ref": "#/components/schemas/last_update_date"
          },
          {
            "$ref": "#/components/schemas/mc_user_id"
          }
        ]
      },
      "ModifyUnitsRequest": {
        "required": [
          "unit_id"
        ],
        "allOf": [
          {
            "$ref": "#/components/schemas/unit_id"
          },
          {
            "$ref": "#/components/schemas/enabled"
          }
        ]
      },
      "master_property_id": {
        "properties": {
          "master_property_id": {
            "type": "integer",
            "format": "int32",
            "description": "Unique identifier for inventory"
          }
        }
      },
      "unit_id": {
        "properties": {
          "unit_id": {
            "type": "integer",
            "format": "int32",
            "description": "Unique identifier for inventory"
          }
        }
      },
      "enabled": {
        "properties": {
          "enabled": {
            "type": "boolean",
            "description": "Enabled by the supplier (true if native, not present on multi-response if query parameter 'enabled' is passed)"
          }
        }
      },
      "native": {
        "properties": {
          "native": {
            "type": "boolean",
            "description": "User is management company of unit (not present on multi-response unless query parameter 'permissions' is true)"
          }
        }
      },
      "allocation_on_arrival": {
        "properties": {
          "allocation_on_arrival": {
            "type": "boolean",
            "description": "Accepts allocation on arrival bookings (not present on multi-response unless query parameter 'permissions' is true)"
          }
        }
      },
      "online_booking_enabled": {
        "properties": {
          "online_booking_enabled": {
            "type": "boolean",
            "description": "Accepts online bookings (not present on multi-response unless query parameter 'permissions' is true)"
          }
        }
      },
      "merchant_of_record": {
        "properties": {
          "merchant_of_record": {
            "type": "string",
            "enum": [
              "AGENT",
              "SUPPLIER"
            ],
            "description": "Merchant of record for the unit (not present on multi-response unless query parameter 'permissions' is true)"
          }
        }
      },
      "include_mandatory_extras": {
        "properties": {
          "include_mandatory_extras": {
            "type": "boolean",
            "description": "Unit configured to include mandatory extras (not present on multi-response unless query parameter 'permissions' is true)"
          }
        }
      },
      "management_company_rate_set_id": {
        "properties": {
          "management_company_rate_set_id": {
            "type": "boolean",
            "description": "Units default rate set id."
          }
        }
      },
      "airbnb_host_id": {
        "properties": {
          "airbnb_host_id": {
            "type": "integer",
            "format": "int32",
            "description": "Airbnb host identifier for listing (included if 'airbnb' query parameter is true)"
          }
        }
      },
      "airbnb_listing_id": {
        "properties": {
          "airbnb_listing_id": {
            "type": "string",
            "description": "Airbnb listing identifier (included if 'airbnb' query parameter is true)"
          }
        }
      },
      "airbnb_request_to_book_on_short_notice": {
        "properties": {
          "airbnb_request_to_book_on_short_notice": {
            "type": "boolean",
            "description": "Allow request to book listing setting (included if 'airbnb' query parameter is true)"
          }
        }
      },
      "airbnb_cancelation_policy": {
        "properties": {
          "airbnb_cancelation_policy": {
            "type": "string",
            "enum": [
              "flexible",
              "moderate",
              "strict",
              "better_strict_with_grace_period",
              "strict_14_with_grace_period",
              "super_strict_30",
              "super_strict_60"
            ],
            "description": "Cancelation policy listing setting (included if 'airbnb' query parameter is true)"
          }
        }
      },
      "airbnb_long_term_cancelation_policy": {
        "properties": {
          "airbnb_long_term_cancelation_policy": {
            "type": "string",
            "enum": [
              "cancel_long_term_fair",
              "cancel_long_term_with_grace_period"
            ],
            "description": "Long Term Cancelation policy listing setting (included if 'airbnb' query parameter is true)"
          }
        }
      },
      "airbnb_sync_enabled": {
        "properties": {
          "airbnb_sync_enabled": {
            "type": "boolean",
            "description": "V2 sync enabled (included if 'airbnb' query parameter is true)"
          }
        }
      },
      "airbnb_sync_category": {
        "properties": {
          "airbnb_sync_category": {
            "type": "string",
            "enum": [
              "SyncAll",
              "SyncRatesAndAvailability",
              "SyncNone",
              "SyncUndecided"
            ],
            "description": "Synchronization category listing setting (included if 'airbnb' query parameter is true)"
          }
        }
      },
      "airbnb_publish_listing": {
        "properties": {
          "airbnb_publish_listing": {
            "type": "boolean",
            "description": "Publish listing to airbnb setting (included if 'airbnb' query parameter is true)"
          }
        }
      },
      "error": {
        "properties": {
          "error": {
            "type": "string",
            "description": "Error message describing why you do not have access to this unit in other parts of the API (multi-response only)"
          }
        }
      },
      "last_update_date": {
        "properties": {
          "last_update_date": {
            "type": "string",
            "format": "date",
            "description": "Last update date of resource (included if 'lastUpdateDate' query parameter is passed)"
          }
        }
      },
      "mc_user_id": {
        "properties": {
          "mc_user_id": {
            "type": "integer",
            "format": "int32",
            "description": "Unique Identifier for supplier"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```